Subject: Re: linux-next: Tree for Aug 15 (input/misc/ibm-panel.c)

From: Randy Dunlap <[email-masked]>
Date: Mon, 15 Aug 2022 18:26:43 -0700

On 8/14/22 19:29, Stephen Rothwell wrote:
> Hi all,
> Changes since 20220812:

on x86_64:

when CONFIG_I2C=m and CONFIG_I2C_SLAVE=y:

ld: drivers/input/misc/ibm-panel.o: in function `ibm_panel_remove':
ibm-panel.c:(.text+0x16): undefined reference to `i2c_slave_unregister'
ld: drivers/input/misc/ibm-panel.o: in function `ibm_panel_probe':
ibm-panel.c:(.text+0x3e3): undefined reference to `i2c_slave_register'
ld: drivers/input/misc/ibm-panel.o: in function `ibm_panel_driver_init':
ibm-panel.c:(.init.text+0x18): undefined reference to `i2c_register_driver'
ld: drivers/input/misc/ibm-panel.o: in function `ibm_panel_driver_exit':
ibm-panel.c:(.exit.text+0x11): undefined reference to `i2c_del_driver'

-- 
~Randy